Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.client
Class TrustAnyTrustManager

    java.lang.Object
      com.sun.appserv.management.client.TrustAnyTrustManager

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

public final class TrustAnyTrustManager
extends java.lang.Object
implements javax.net.ssl.X509TrustManager

This TrustManager applies no logic as to whether its peer certificate is trusted; it trusts all peers. This is a security risk, and should be used only for convenience in testing or where security is explicitly not an issue.

Method Summary
`void` | `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` | `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`java.security.cert.X509Certificate[]` | `getAcceptedIssuers()`
`static TrustAnyTrustManager` | `getInstance()` Get an instance; only one is ever created.
`static TrustAnyTrustManager[]` | `getInstanceArray()` Calls getInstance() and returns an array containing it.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static TrustAnyTrustManager getInstance()

  Get an instance; only one is ever created.

### getInstanceArray

    public static TrustAnyTrustManager[] getInstanceArray()

  Calls getInstance() and returns an array containing it.

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
  Throws:
    `java.security.cert.CertificateException`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
  Throws:
    `java.security.cert.CertificateException`

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.